var tablaService = function() {

	return {
		
			addColumn : function(data, encabezados, columnasEliminar, valorEncabezado) {		
				var dataT = {datos : null, encabezados : null, columnasEliminar: null}
				
				data.forEach(function($row){
			          $row.push({"valor":""})
			    });
				debugger
			    encabezados.push({"valor":valorEncabezado, "colspan":"1"});
			    //columnasEliminar.push(1);
			    
			    dataT.datos            = data;
			    dataT.encabezados      = encabezados;
			    dataT.columnasEliminar = columnasEliminar;
			    return dataT; 
			},
						
			removeColumn: function(data, encabezados, columnasEliminar, index) {		
				var dataT = {datos : null, encabezados : null, columnasEliminar: null}
				
				data.forEach(function (row) {		      
				      row.splice(index, 1);						      
				      if (row.length === 0) 
				          row.data = [];		      
			    });
			    encabezados.splice(index,1);
			    columnasEliminar.splice(index, 1);
			    
			    dataT.datos            = data;
			    dataT.encabezados      = encabezados;
			    dataT.columnasEliminar = columnasEliminar;
			    return dataT; 
			},
			
			removeRow: function(data, index) {		
				var dataT = {datos : null, encabezados : null, columnasEliminar: null}
				
				data.splice( index, 1);	    	    	    
			    if (data.length === 0)
			        data = [];	
			    
			    dataT.datos = data;			    
			    return dataT; 
			},
			
			addRow: function(data) {		
				var dataT = {datos : null, encabezados : null, columnasEliminar: null}
				
				var newrow = [];			 	      
			    if (data.length === 0)
			        newrow = [{'valor':''}];
			    else 
			    {	        
				     data[0].forEach(function (row) {
				          newrow.push({'valor':''});
				     });
			    }	     
			    data.push(newrow);			
			    
			    dataT.datos = data;			    
			    return dataT; 
			}	
			
    };	
};

registraService("tablaService", tablaService);